Project

Profile

Help

Issue #7768

Packages.gz and Packages.xz not supported

Added by ThikaXer 12 months ago. Updated 11 months ago.

Status:
CLOSED - WORKSFORME
Priority:
Normal
Assignee:
-
Sprint/Milestone:
-
Start date:
Due date:
Estimated time:
Severity:
2. Medium
Version - Debian:
Platform Release:
Target Release - Debian:
OS:
Triaged:
No
Groomed:
No
Sprint Candidate:
No
Tags:
Sprint:
Quarter:

Description

If a remote has only Packages.gz or Packages.xz files, the content of these files cannot be accessed. Synchronising and creating a publication and distribution leads to empty Packages indices. Content cannot be distributed.

History

#1 Updated by ThikaXer 12 months ago

A fixtures repository where this failed for me can be found in the link below.

https://github.com/pulp/pulp-fixtures/compare/master...ATIX-AG:packages-gz-xz

This was originally used for testing for issue #7467. When creating a publication and a distribution by hand, all Packages files in the distribution have been empty, so the content from Packages.gz and Packages.xz could not be loaded.

#2 Updated by quba42 12 months ago

Strange. I am pretty sure that exact case should work. I will need to look into it in more detail to say more...

#3 Updated by ThikaXer 11 months ago

My bad, i got confused with everything. The created repo is faulty. Please ignore this ticket.

#4 Updated by quba42 11 months ago

  • Status changed from NEW to CLOSED - WORKSFORME

Please register to edit this issue

Also available in: Atom PDF